Partial Public Class MainPage
  Inherits UserControl
  Public Sub New()
    InitializeComponent()
  End Sub

  Private Sub ContentFrame_Navigating(sender As Object, e As System.Windows.Navigation.NavigatingCancelEventArgs)
    If e.Uri.ToString().ToLower().Contains("pagProhibida.xaml") Then
      e.Cancel = True
    End If
  End Sub

  Private Sub ContentFrame_NavigationFailed(sender As Object, e As System.Windows.Navigation.NavigationFailedEventArgs)
    ' System.ArgumentException
    If TypeOf e.Exception Is ArgumentException Then
      e.Handled = True
      System.Diagnostics.Debug.WriteLine(e.Exception.Message)
    End If
  End Sub
End Class
